Bug 512016 - (zikula-module-Polls) Review Request: zikula-module-Polls - Simple voting system for Zikula
Review Request: zikula-module-Polls - Simple voting system for Zikula
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nick Bebout
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 508379
  Show dependency treegraph
 
Reported: 2009-07-15 18:49 EDT by eric@christensenplace.us
Modified: 2009-11-18 15:21 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.0.2-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-27 02:51:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nb: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Ian Weller 2009-07-17 12:54:47 EDT
reviewing this
Comment 2 Ian Weller 2009-07-17 13:02:40 EDT
fix:

- typo in URL tag
- can you show me where it says GPL in the source?
Comment 3 eric@christensenplace.us 2009-07-23 08:43:27 EDT
Spec URL:
http://sparks.fedorapeople.org/Packages/zikula-module-Polls/zikula-module-Polls.spec

SRPM URL:
http://sparks.fedorapeople.org/Packages/zikula-module-Polls/zikula-module-Polls-2.0.2-3.fc11.src.rpm

[TKCTECH\eric.christensen@echristensen modules]$ grep -ri license ./*
./Polls/pnjavascript/polls.js: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnuser.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/deu/common.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/deu/poll.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/deu/admin.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/deu/version.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/deu/init.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/deu/user.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/eng/common.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/eng/poll.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/eng/admin.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/eng/version.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/eng/init.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/eng/user.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/spa/common.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/spa/common.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/spa/poll.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/spa/poll.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/spa/admin.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/spa/admin.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/spa/version.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/spa/version.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/spa/init.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/spa/init.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/spa/user.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnlang/spa/user.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnuserapi.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pninit.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnblocks/poll.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pntables.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnajax.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnversion.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnversion.php:$modversion['license'] = 'pndocs/license.txt';
./Polls/pnadmin.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
./Polls/pnadminapi.php: * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
Comment 4 eric@christensenplace.us 2009-10-19 10:20:05 EDT
PING
Comment 5 Nick Bebout 2009-10-19 18:45:43 EDT
I'll review this, per discussion on IRC.
Comment 6 Nick Bebout 2009-10-19 19:15:15 EDT
rpmlint is clean.

[nb@epsilon SPECS]$ rpmlint zikula-module-Polls.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[nb@epsilon SRPMS]$ rpmlint zikula-module-Polls-2.0.2-3.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[nb@epsilon noarch]$ rpmlint zikula-module-Polls-2.0.2-3.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Sources match.  
License is correct.

Package appears to follow rest of packaging guidelines

APPROVED.
Comment 7 eric@christensenplace.us 2009-10-19 20:03:34 EDT
New Package CVS Request
=======================
Package Name: zikula-module-Polls
Short Description: Simple voting system for Zikula
Owners: sparks ke4qqq
Branches: F-12 F-11 EL-5
InitialCC:
Comment 8 Kevin Fenzi 2009-10-22 00:34:34 EDT
cvs done.
Comment 9 Fedora Update System 2009-10-22 19:33:50 EDT
zikula-module-Polls-2.0.2-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/zikula-module-Polls-2.0.2-3.el5
Comment 10 Fedora Update System 2009-10-22 19:58:31 EDT
zikula-module-Polls-2.0.2-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/zikula-module-Polls-2.0.2-3.fc11
Comment 11 Fedora Update System 2009-10-23 19:19:33 EDT
zikula-module-Polls-2.0.2-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zikula-module-Polls'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0715
Comment 12 Fedora Update System 2009-10-27 02:50:59 EDT
zikula-module-Polls-2.0.2-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-11-18 15:20:58 EST
zikula-module-Polls-2.0.2-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.